<?xml version="1.0" encoding="ISO-8859-1"?>

<project>
  <pomVersion>3</pomVersion>
  <name>HttpClient</name>
  <id>commons-httpclient</id>
  <gumpRepositoryId>jakarta-commons-httpclient</gumpRepositoryId>
  <inceptionYear>2001</inceptionYear>
  <currentVersion>2.0.2</currentVersion>
  <package>org.apache.commons.httpclient</package>

  <organization>
    <name>Apache Software Foundation</name>
    <url>http://jakarta.apache.org/</url>
    <logo>http://jakarta.apache.org/images/jakarta-logo.gif</logo>
  </organization>


  <shortDescription>Jakarta Commons HttpClient</shortDescription>
  <description>
    The HttpClient  component supports the client-side of RFC 1945 (HTTP/1.0)  and RFC 2616 (HTTP/1.1) , several related specifications (RFC 2109 (Cookies) , RFC 2617 (HTTP Authentication) , etc.), and provides a framework by which new request types (methods) or HTTP extensions can be created easily.
  </description>

  <logo>/images/httpclient_logo.png</logo>
  <url>http://jakarta.apache.org/commons/httpclient/</url>
  <issueTrackingUrl><![CDATA[http://issues.apache.org/bugzilla/buglist.cgi?query_format=advanced&short_desc_type=allwordssubstr&short_desc=&product=HttpClient&component=Commons+HttpClient&version=2.0+Final&long_desc_type=allwordssubstr&long_desc=&bug_file_loc_type=allwordssubstr&bug_file_loc=&keywords_type=anywords&keywords=&bug_status=UNCONFIRMED&bug_status=NEW&bug_status=ASSIGNED&bug_status=REOPENED&bug_status=NEEDINFO&emailassigned_to1=1&emailtype1=substring&email1=&emailreporter2=1&emailtype2=substring&email2=&bugidtype=include&bug_id=&votes=&chfieldfrom=&chfieldto=Now&chfieldvalue=&cmdtype=doit&order=Reuse+same+sort+as+last+time&field0-0-0=noop&type0-0-0=noop&value0-0-0=]]></issueTrackingUrl>

  <siteAddress>people.apache.org</siteAddress>
  <siteDirectory>/www/jakarta.apache.org/commons/httpclient/</siteDirectory>
  <repository>
   <connection>scm:svn:http://svn.apache.org/repos/asf/jakarta/commons/proper/${pom.artifactId.substring(8)}/branches/HTTPCLIENT_2_0_BRANCH</connection>
    <url>http://svn.apache.org/repos/asf/jakarta/commons/proper/${pom.artifactId.substring(8)}/branches/HTTPCLIENT_2_0_BRANCH</url>
  </repository>
  <versions>
    <version>
      <id>2.0.2</id>
      <name>2.0.2</name>
      <tag>HTTPCLIENT_2_0_2</tag>
    </version>
    <version>
      <id>2.0.1</id>
      <name>2.0.1</name>
      <tag>HTTPCLIENT_2_0_1</tag>
    </version>
    <version>
      <id>2.0</id>
      <name>2.0</name>
      <tag>HTTPCLIENT_2_0_FINAL</tag>
    </version>
    <version>
      <id>rc3</id>
      <name>2.0-rc3</name>
      <tag>HTTPCLIENT_2_0_RC3</tag>
    </version>
    <version>
      <id>rc2</id>
      <name>2.0-rc2</name>
      <tag>HTTPCLIENT_2_0_RC2</tag>
    </version>
    <version>
      <id>rc1</id>
      <name>2.0-rc1</name>
      <tag>HTTPCLIENT_2_0_RC1</tag>
    </version>
    <version>
      <id>b2</id>
      <name>2.0-beta2</name>
      <tag>HTTPCLIENT_2_0_BETA2</tag>
    </version>
    <version>
      <id>b1</id>
      <name>2.0-beta1</name>
      <tag>HTTPCLIENT_2_0_BETA1</tag>
    </version>
    <version>
      <id>a3</id>
      <name>2.0-alpha3</name>
      <tag>HTTPCLIENT_2_0_ALPHA3</tag>
    </version>
    <version>
      <id>a2</id>
      <name>2.0-alpha2</name>
      <tag>HTTPCLIENT_2_0_ALPHA2</tag>
    </version>
    <version>
      <id>a1</id>
      <name>2.0-alpha1</name>
      <tag>HTTPCLIENT_2_0_ALPHA1</tag>
    </version>
  </versions>

  <mailingLists>
    <mailingList>
      <name>HttpClient Developer List</name>
      <subscribe>httpclient-dev-subscribe@jakarta.apache.org</subscribe>
      <unsubscribe>httpclient-dev-unsubscribe@jakarta.apache.org</unsubscribe>
      <archive>http://mail-archives.apache.org/eyebrowse/SummarizeList?listId=281</archive>
    </mailingList>
    <mailingList>
      <name>HttpClient User List</name>
      <subscribe>httpclient-user-subscribe@jakarta.apache.org</subscribe>
      <unsubscribe>httpclient-user-unsubscribe@jakarta.apache.org</unsubscribe>
      <archive>http://mail-archives.apache.org/eyebrowse/SummarizeList?listId=280</archive>
    </mailingList>
  </mailingLists>

  <developers>
    <developer>
      <name>Michael Becke</name>
      <id>mbecke</id>
      <email>mbecke -at- apache.org</email>
      <organization></organization>
      <roles>
        <role>Release Prime</role>
        <role>Java Developer</role>
      </roles>
    </developer>
    <developer>
      <name>Jeff Dever</name>
      <id>jsdever</id>
      <email>jsdever -at- apache.org</email>
      <organization>Vault Technologies</organization>
      <roles>
        <role>List Moderator</role>
      </roles>
    </developer>
    <developer>
      <name>dIon Gillard</name>
      <id>dion</id>
      <email>dion -at- apache.org</email>
      <organization>Multitask Consulting</organization>
      <roles>
        <role>Java Developer</role>
      </roles>
    </developer>
    <developer>
      <name>Ortwin Glueck</name>
      <id>oglueck</id>
      <email>oglueck -at apache.org</email>
      <organization></organization>
      <roles>
        <role>Java Developer</role>
      </roles>
    </developer>
    <developer>
      <name>Sung-Gu</name>
      <id>jericho</id>
      <email>jericho -at- apache.org</email>
      <organization/>
      <roles>
        <role>Java Developer</role>
      </roles>
    </developer>
    <developer>
      <name>Oleg Kalnichevski</name>
      <id>olegk</id>
      <email>olegk -at- apache.org</email>
      <roles>
        <role>Java Developer</role>
      </roles>
    </developer>
    <developer>
      <name>Sean C. Sullivan</name>
      <id>sullis</id>
      <email>sullis -at- apache.org</email>
      <organization>Independent consultant</organization>
      <roles>
        <role>Java Developer</role>
      </roles>
    </developer>
    <developer>
      <name>Adrian Sutton</name>
      <id>adrian</id>
      <email>adrian.sutton -at- ephox.com</email>
      <organization>Intencha</organization>
      <roles>
        <role>Java Developer</role>
      </roles>
    </developer>
    <developer>
      <name>Rodney Waldhoff</name>
      <id>rwaldhoff</id>
      <email>rwaldhoff -at- apache</email>
      <organization>Britannica</organization>
      <roles>
        <role>Java Developer</role>
      </roles>
    </developer>
  </developers>

  <contributors>
    <contributor>
      <name>Armando Anton</name>
      <email>armando.anton -at- newknow.com</email>
    </contributor>
    <contributor>
      <name>Ola Berg</name>
      <email></email>
    </contributor>
    <contributor>
      <name>Sam Berlin</name>
      <email>sberlin -at- limepeer.com</email>
    </contributor>
    <contributor>
      <name>Mike Bowler</name>
      <email></email>
    </contributor>
    <contributor>
      <name>Eric Johnson</name>
      <email>eric -at- tibco.com</email>
    </contributor>
    <contributor>
      <name>Christian Kohlschuetter</name>
      <email>ck -at- newsclub.de</email>
    </contributor>
    <contributor>
      <name>Ryan Lubke</name>
      <email>Ryan.Lubke -at- Sun.COM</email>
    </contributor>
    <contributor>
      <name>Sam Maloney</name>
      <email>sam.maloney -at- filogix.com</email>
    </contributor>
    <contributor>
      <name>Rob Di Marco</name>
      <email>rdimarco -at- hmsonline.com</email>
    </contributor>
    <contributor>
      <name>Juergen Pill</name>
      <email>Juergen.Pill -at- softwareag.com</email>
    </contributor>
    <contributor>
      <name>Mohammad Rezaei</name>
      <email>mohammad.rezaei -at- gs.com</email>
    </contributor>
    <contributor>
      <name>Roland Weber</name>
      <email>ROLWEBER -at- de.ibm.com</email>
    </contributor>
    <contributor>
      <name>Laura Werner</name>
      <email>laura -at- lwerner.org</email>
    </contributor>
  </contributors>

  <dependencies>
    <dependency>
      <id>commons-logging</id>
      <version>1.0.3</version>
      <url>http://jakarta.apache.org/commons/logging/</url>
    </dependency>
  </dependencies>

    <build>
    <nagEmailAddress>httpclient-dev@jakarta.apache.org</nagEmailAddress>
    <sourceDirectory>src/java</sourceDirectory>
    <unitTestSourceDirectory>src/test</unitTestSourceDirectory>
    <integrationUnitTestSourceDirectory/>
    <aspectSourceDirectory/>

        <unitTest>
            <includes>
                <include>**/TestNoHost.java</include>
            </includes>
        </unitTest>
	<jars></jars>
    </build>

  <reports>
    <report>maven-changelog-plugin</report>
    <report>maven-changes-plugin</report>
    <report>maven-developer-activity-plugin</report>
    <report>maven-file-activity-plugin</report>
    <report>maven-javadoc-plugin</report>
    <report>maven-jdepend-plugin</report>
    <report>maven-junit-report-plugin</report>
    <report>maven-jxr-plugin</report>
    <report>maven-license-plugin</report>
    <report>maven-tasklist-plugin</report>
  </reports>

</project>
